API docs / Image models
Ideogram 2 API
An excellent image model with state of the art inpainting, prompt comprehension and text rendering
- Model id
ideogram-ai/ideogram-v2- Provider
- ideogram-ai
- Output
- Image
- Price
- From 28 credits per run, the same as on voor.ai. Options such as length or resolution can change it.
Request
POST https://voor.ai/v1/generations with "model": "ideogram-ai/ideogram-v2". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.
curl https://voor.ai/v1/generations \
-H "Authorization: Bearer $VOOR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "ideogram-ai/ideogram-v2",
"input": {
"prompt": "A red fox standing in fresh snow at golden hour, soft light"
},
"callback_url": "https://example.com/webhooks/voor"
}'
# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
-H "Authorization: Bearer $VOOR_API_KEY"Input parameters
| Name | Type | Details |
|---|---|---|
promptrequired | string | Text prompt for image generation |
reference_images | array of URLs | An image file to use for inpainting. You must also use a mask. Up to 1 files · Accepts image/* |
mask | array of URLs | A black and white image. Black pixels are inpainted, white pixels are preserved. The mask will be resized to match the image size. Up to 1 files · Accepts image/* |
aspect_ratio | string | Default: One of: 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3, 16:10, 10:16, 3:1, 1:3 |
resolution | string | Default: One of: none, 512x1536, 576x1408, 576x1472, 576x1536, 640x1344, 640x1408, 640x1472, 640x1536, 704x1152, 704x1216, 704x1280, 704x1344, 704x1408, 704x1472, 736x1312, 768x1088, 768x1216, 768x1280, 768x1344, 832x960, 832x1024, 832x1088, 832x1152, 832x1216, 832x1248, 864x1152, 896x960, 896x1024, 896x1088, 896x1120, 896x1152, 960x832, 960x896, 960x1024, 960x1088, 1024x832, 1024x896, 1024x960, 1024x1024, 1088x768, 1088x832, 1088x896, 1088x960, 1120x896, 1152x704, 1152x832, 1152x864, 1152x896, 1216x704, 1216x768, 1216x832, 1248x832, 1280x704, 1280x768, 1280x800, 1312x736, 1344x640, 1344x704, 1344x768, 1408x576, 1408x640, 1408x704, 1472x576, 1472x640, 1472x704, 1536x512, 1536x576, 1536x640 |
style | string | Default: One of: None, Auto, General, Realistic, Design, Render 3D, Anime |
seed | number | Random seed. Set for reproducible generation Max 2147483647 |
negative_prompt | string | Things you do not want to see in the generated image. |
magic_prompt_option | string | Default: One of: Auto, On, Off |